### Method

# EDataServer XmlDocument add_namespaces

since: 3.26

#### Declaration [src]

    void
    e_xml_document_add_namespaces (
      EXmlDocument* xml,
      const gchar* ns_prefix,
      const gchar* ns_href,
      ...
    )

#### Description [src]

Adds one or more namespaces to `xml`, which can be referenced later by `ns_href`. The caller should take care that neither used `ns_prefix`, nor `ns_href`, is already used by `xml`.

Available since: 3.26

This method is not directly available to language bindings.

#### Parameters

`ns_prefix`

  Type: `const gchar*`

  Namespace prefix to use for this namespace.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`ns_href`

  Type: `const gchar*`

  Namespace href.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  `NULL`-terminated pairs of (ns_prefix, ns_href).